Subject: Re: authmeth - user & client usage

From: "Roger Harrison" <[email-masked]>
Date: Thu, 13 Nov 2003 20:10:02 -0700

I've reviewed my use of the terms application, user, and client in -09
and think things are looking pretty good. In particular, I've removed
all uses of application except in the definition of user.

Roger

>>> "Kurt D. Zeilenga" <[email-masked]> 10/8/2003 9:21:04 PM >>>
At 06:28 AM 10/8/2003, Roger Harrison wrote:
>these terms ("application/user" and "client protocol agent") I
>find confusing as "application" implies an "implementation" not
>an entity acting as a human.

Actually, it's confusing to use "application" to refer to an
"implementation" and, even more so, just to client implementations.

Here is, I think, a good example of an appropriate use of the
term application (in the context of LDAP specifications):
    PKI is an application of the directory which places
    specific requirements upon clients and servers implementations.

Kurt